Subject: [netmod] Why can't I deviate a description

From: Balazs Lengyel <[email-masked]>
Date: Thu, 2 Jun 2016 14:12:08 +0200

Hello,

A proposal for the future of YANG.

Balazs

-------- Forwarded Message --------

Subject:

Re: Why can't I deviate a description

Date:

Thu, 2 Jun 2016 14:05:29 +0200

From:

Martin Bjorklund <[email-masked]>

To:

[email-masked]

Balazs Lengyel <[email-masked]> wrote:
> Hello Martin,
>
> YANG deviations allows me to change a lot of properties of a data-node. However I can not
> change its description. To me that is strange. Sometimes I need to describe
> what and why I changed, but I am not allowed to. Why?

Good question! It would probably make sense to allow this. Something
to look forward to in YANG 1.2 ;-)

/martin

--
Balazs Lengyel Ericsson Hungary Ltd.
Senior Specialist
Mobile: +36-70-330-7909 email: [email-masked]